import axios from 'axios'
import queryString from 'query-string'

const httpRequest = axios.create({
  baseURL: 'https://shop.ezijing.com',
  timeout: 60000,
  withCredentials: true,
  headers: { 'Content-Type': 'application/json' }
})

// 请求拦截
httpRequest.interceptors.request.use(
  function (config) {
    if (config.headers['Content-Type'] === 'application/x-www-form-urlencoded') {
      config.data = queryString.stringify(config.data)
    }
    if (config.headers['Content-Type'] === 'multipart/form-data') {
      const formData = new window.FormData()
      for (const key in config.data) {
        formData.append(key, config.data[key])
      }
      config.data = formData
    }
    return config
  },
  function (error) {
    return Promise.reject(error)
  }
)

export default httpRequest
