const fs = require('fs')
const path = require('path')
import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import styleImport from 'vite-plugin-style-import'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    styleImport({
      libs: [
        {
          libraryName: 'vant',
          esModule: true,
          resolveStyle: name => `vant/es/${name}/style`
        }
      ]
    })
  ],
  server: {
    host: 'dev.ezijing.com',
    https: {
      key: fs.readFileSync(path.join(__dirname, './cert/dev.ezijing.com.key')),
      cert: fs.readFileSync(path.join(__dirname, './cert/dev.ezijing.com.pem'))
    }
  },
  build: {
    lib: {
      entry: path.resolve(__dirname, 'src/main.js'),
      name: 'ZJPay'
    }
  },
  resolve: {
    alias: [{ find: '@', replacement: '/src' }]
  }
})
